## A customer's active contracts for the booking form (tenant:access)

`GET /api/hr/v1/work-contracts`

Module: HR · operationId: `listWorkContracts` · Tag: Work entries · Auth: access token (`Authorization: Bearer <accessToken>`)

The customer's contracts in trade that run on `date` (default today); empty without trade.

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `customerId` | query | string | yes | The customer's masterdata address id |
| `date` | query | string (date) |  |  |

### Responses

- **200** Contracts (`application/json`)
- **400** Error (`application/json`)
- **503** Error (`application/json`)

Fields of the 200 answer:

- `items` (array of object, required): Active contracts of the customer
  - `active` (boolean): The contract is active
  - `customerId` (string): Customer (masterdata address id)
  - `id` (string): Id of the trade contract
  - `number` (string): Number of the contract
  - `quota` (boolean): A quota contract (work on it consumes its contingent)
  - `title` (string): Title of the contract

Example 200 answer:

```json
{
  "items": [
    {
      "active": true,
      "customerId": "3c5e7a9c-1d3f-4b5a-9c7e-1a3c5e7a9c1e",
      "id": "7a9c1e3a-5c7e-4a9c-8e3a-5c7e9a1c3e52",
      "number": "WV-2026-0007",
      "quota": true,
      "title": "Wartungsvertrag Netzwerk und WLAN"
    }
  ]
}
```

### Example request

```bash
curl -X GET 'https://api.mbcom.cloud/api/hr/v1/work-contracts?customerId=string' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
